{ config, ... }:
{
  imports = [
    ./configuration.nix

    #./hardware-configuration.nix
    ../plasma/plasma.nix
    ../niri/niri.nix
  ];

  specialisation = {
    "plasma" = {
      inheritParentConfig = false;
      configuration = {
        imports = [
          ../plasma/plasma.nix
          ./configuration.nix
        ];

        environment.etc."nixos-tags".text = "plasma";
      };
    };

#     "minimal" = {
#       inheritParentConfig = false;
#       configuration = {
#         imports = [
#           ./minimal.nix
#         ];
#
#         environment.etc."nixos-tags".text = "minimal";
#       };
#     };

    "niri" = {
      inheritParentConfig = false;
      configuration = {
        imports = [
          ../niri/niri.nix
          ./configuration.nix
        ];

        environment.etc."nixos-tags".text = "niri";
      };
    };

 };
}
